群晖DSM 6.1版本无法安装PHP7.3.16-0008


笔记222 阅10 评

前言就要哔哔

又是一个无聊的星期天,在这折腾群晖的时候又遇到的一个问题,在半年以前刚入手群晖的时候,用群晖穿透搭建过网站供外网访问;那时候没有做多少笔记,很多问题步骤都给忘记了,今天又遇到群晖DSM 6.1版本无法安装PHP7.3.16-0008最新版本的问题,特此记录一下。

经发现,由于群晖官方套件的不断更新,DSM 6.1版本上的PHP7.3套件最新版本为PHP7.3.16-0006,而安装最新的phpMyAdmin数据库套件时,会直接无法导致无法安装。就像下图一样:

无法安装phpMyAdmin

尝试解决问题

经过Bing搜索的神助攻,便顺利找到了群晖官方下载最新版PHP7.3.16-0008套件的地址,而当兴奋又鸡冻的去上传安装完成后,群晖却无情的给了当头一棒,安装PHP7.3.16-0008却要在DSM 6.2-22232版本的系统上才行。

DSM 6.1无法安装PHP7.3.16-0008

最终解决方法

没办法呀,想了想只能通过降级来解决啦,要么升级DSM为6.2-22232以上版本,但(黑裙晖)迁移数据和重建引导的风险又特别的大,不能轻易去冒险;所以便通过降级phpMyAdmin数据库套件的方法才能可行,去群晖官网下载phpMyAdmin 4.9.2-0181版本后上传安装就可以了,非常奈斯!

下载phpMyAdmin 4.9.2-0181

特意去查询了一下,安装phpMyAdmin 4.9.2-0181版本仅需要PHP5.6的环境就可以。

瑞思拜~

附下载地址:

phpMyAdmin 4.9.2-0181下载

最后更新 2021-11-02
评论 ( 10 )
OωO
隐私评论
  1. 折腾久了,发现自己折不动了,索性装了个win了╮(~▽~)╭

    1个月前回复
    1. @暮雨

      对的,最终还是Win实用

      1个月前回复
  2. 真不错,我现在用vm装黑群晖,数据迁移很方便

    1个月前回复
    1. @小峰

      可以的,虚拟机长期不关机?

      1个月前回复
      1. @胡家小子

        我用的是VMware ESXi,这就是一个操作系统。

        1个月前回复
        1. @小峰

          没折腾过...

          1个月前回复
  3. 黑群晖之前拿破笔记本主板搞过,无奈网口太老,百兆的,就没在弄了,收了个带1T硬盘的路由器来存东西。

    1个月前回复
    1. @Han

      日常家用1T硬盘足够了,甚至还比NAS更加稳定一些,组Raid硬盘阵列很容易坏硬盘

      1个月前回复
  4. 博主这看板娘真是让人流鼻血哇

    1个月前回复